<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="13771" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina4_7" orientation="portrait">
        <adaptation id="fullscreen"/>
    </device>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="13772"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="RateSessionViewController" customModule="Treffen" customModuleProvider="target">
            <connections>
                <outlet property="feedbackTextView" destination="hVR-yT-xMT" id="5sg-BY-eTF"/>
                <outlet property="rateView" destination="57k-ds-3ZT" id="tPB-QP-Gvr"/>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="73M-kB-Mbw">
                    <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                    <connections>
                        <action selector="dismissButton:" destination="-1" eventType="touchUpInside" id="Orr-jg-DeQ"/>
                    </connections>
                </button>
                <view clipsSubviews="YES" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="ccs-R3-Jug">
                    <rect key="frame" x="32" y="218.5" width="311" height="250"/>
                    <subviews>
                        <textView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" textAlignment="natural" translatesAutoresizingMaskIntoConstraints="NO" id="hVR-yT-xMT" customClass="EventsTextView" customModule="Treffen" customModuleProvider="target">
                            <rect key="frame" x="16" y="72" width="279" height="102"/>
                            <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <fontDescription key="fontDescription" type="system" pointSize="14"/>
                            <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                            <userDefinedRuntimeAttributes>
                                <userDefinedRuntimeAttribute type="number" keyPath="cornerRadius">
                                    <real key="value" value="8"/>
                                </userDefinedRuntimeAttribute>
                                <userDefinedRuntimeAttribute type="string" keyPath="localizeKeyPlaceholder" value="send feedback"/>
                                <userDefinedRuntimeAttribute type="number" keyPath="borderWidth">
                                    <real key="value" value="1"/>
                                </userDefinedRuntimeAttribute>
                                <userDefinedRuntimeAttribute type="color" keyPath="borderColor">
                                    <color key="value" red="0.89310497050000004" green="0.90454465149999996" blue="0.9307586551" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                </userDefinedRuntimeAttribute>
                            </userDefinedRuntimeAttributes>
                        </textView>
                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="57k-ds-3ZT" customClass="CosmosView" customModule="Cosmos">
                            <rect key="frame" x="95.5" y="16" width="120" height="40"/>
                            <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <constraints>
                                <constraint firstAttribute="width" constant="120" id="0Lu-UU-jfE"/>
                                <constraint firstAttribute="height" constant="40" id="uOb-Ib-r7h"/>
                            </constraints>
                            <userDefinedRuntimeAttributes>
                                <userDefinedRuntimeAttribute type="number" keyPath="totalStars">
                                    <integer key="value" value="5"/>
                                </userDefinedRuntimeAttribute>
                                <userDefinedRuntimeAttribute type="number" keyPath="rating">
                                    <real key="value" value="0.0"/>
                                </userDefinedRuntimeAttribute>
                            </userDefinedRuntimeAttributes>
                        </view>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Goe-UB-ToQ" customClass="EventsButton" customModule="Treffen" customModuleProvider="target">
                            <rect key="frame" x="55.5" y="190" width="200" height="44"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="44" id="TW6-YA-9Cd"/>
                                <constraint firstAttribute="width" constant="200" id="V3d-sY-i5v"/>
                            </constraints>
                            <state key="normal" title="Button"/>
                            <userDefinedRuntimeAttributes>
                                <userDefinedRuntimeAttribute type="string" keyPath="localizeKey" value="Send"/>
                            </userDefinedRuntimeAttributes>
                            <connections>
                                <action selector="sendFeedback:" destination="-1" eventType="touchUpInside" id="AaZ-pv-X0j"/>
                            </connections>
                        </button>
                    </subviews>
                    <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <constraints>
                        <constraint firstAttribute="bottom" secondItem="Goe-UB-ToQ" secondAttribute="bottom" constant="16" id="0ye-fw-Ac8"/>
                        <constraint firstAttribute="height" constant="250" id="6Rm-7R-Wng"/>
                        <constraint firstItem="57k-ds-3ZT" firstAttribute="top" secondItem="ccs-R3-Jug" secondAttribute="top" constant="16" id="CpC-df-ihR"/>
                        <constraint firstItem="Goe-UB-ToQ" firstAttribute="centerX" secondItem="ccs-R3-Jug" secondAttribute="centerX" id="Hha-2s-o2p"/>
                        <constraint firstItem="Goe-UB-ToQ" firstAttribute="top" secondItem="hVR-yT-xMT" secondAttribute="bottom" constant="16" id="Ohx-Qy-maC"/>
                        <constraint firstItem="57k-ds-3ZT" firstAttribute="centerX" secondItem="ccs-R3-Jug" secondAttribute="centerX" id="SRS-ug-zcg"/>
                        <constraint firstItem="hVR-yT-xMT" firstAttribute="leading" secondItem="ccs-R3-Jug" secondAttribute="leading" constant="16" id="Url-oi-mzt"/>
                        <constraint firstItem="hVR-yT-xMT" firstAttribute="top" secondItem="57k-ds-3ZT" secondAttribute="bottom" constant="16" id="ciW-m6-GKL"/>
                        <constraint firstAttribute="trailing" secondItem="hVR-yT-xMT" secondAttribute="trailing" constant="16" id="f4B-zS-4c4"/>
                    </constraints>
                    <userDefinedRuntimeAttributes>
                        <userDefinedRuntimeAttribute type="number" keyPath="cornerRadius">
                            <real key="value" value="8"/>
                        </userDefinedRuntimeAttribute>
                        <userDefinedRuntimeAttribute type="boolean" keyPath="shadow" value="YES"/>
                    </userDefinedRuntimeAttributes>
                </view>
            </subviews>
            <color key="backgroundColor" white="0.0" alpha="0.35803724320000002" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
            <constraints>
                <constraint firstItem="ccs-R3-Jug" firstAttribute="centerY" secondItem="fnl-2z-Ty3" secondAttribute="centerY" id="2Ph-g8-bRE"/>
                <constraint firstItem="fnl-2z-Ty3" firstAttribute="trailing" secondItem="ccs-R3-Jug" secondAttribute="trailing" constant="32" id="7Py-vH-lgJ"/>
                <constraint firstItem="73M-kB-Mbw" firstAttribute="height" secondItem="i5M-Pr-FkT" secondAttribute="height" id="Alq-TS-Brk"/>
                <constraint firstItem="73M-kB-Mbw" firstAttribute="width" secondItem="i5M-Pr-FkT" secondAttribute="width" id="VHp-ay-zxd"/>
                <constraint firstItem="ccs-R3-Jug" firstAttribute="centerX" secondItem="fnl-2z-Ty3" secondAttribute="centerX" id="VIc-Ng-QWH"/>
                <constraint firstItem="73M-kB-Mbw" firstAttribute="centerX" secondItem="i5M-Pr-FkT" secondAttribute="centerX" id="Wjp-0l-nS5"/>
                <constraint firstItem="73M-kB-Mbw" firstAttribute="centerY" secondItem="i5M-Pr-FkT" secondAttribute="centerY" id="diO-7c-WX5"/>
                <constraint firstItem="ccs-R3-Jug" firstAttribute="leading" secondItem="fnl-2z-Ty3" secondAttribute="leading" constant="32" id="lp8-xz-C1T"/>
            </constraints>
            <viewLayoutGuide key="safeArea" id="fnl-2z-Ty3"/>
            <point key="canvasLocation" x="32.5" y="93.5"/>
        </view>
    </objects>
</document>
